[SRU] gnomeradio crashed with SIGABRT in __libc_message()

Bug #1110660 reported by Zicu Radu on 2013-01-30
40
This bug affects 6 people
Affects Status Importance Assigned to Milestone
gnomeradio (Debian)
Fix Released
Unknown
gnomeradio (Fedora)
Won't Fix
Medium
gnomeradio (Ubuntu)
Medium
Unassigned
Precise
Medium
Pojar Gheorghe–Ioan
Quantal
Medium
Pojar Gheorghe–Ioan

Bug Description

SRU JUSTIFICATION

[Description]

In my sistem I have one PCI TV/FM tuner card and one removable USB TV/FM tuner.

Gnomeradio is set to use, by default "/dev/radio0", device create by PCI TV/FM card.
I discover this problem when I forgotten to attach USB TV/FM and I try to set gnomeradio to use "/dev/radio1" (device that would have made ​​it by USB TV/FM and, of course if USB isn't connected, it does not exist).

When I tried to change radio device to "/dev/radio1", in Preferences "Radio Device" combobox text and I press ENTER to SAVE settings, results: gnomeradio crash.

[Impact]

USB TV/FM card market is growing and this situation (and probably others similar to it), can exist for large users. It is important to be solved especially for novice users. They will see how the app crashes without knowing the cause.

But of course, not only that justify to be solved this bug :)

[Test Case]

1. Open Gnomeradio
2. Open "Preferences" dialog
3. Enter in "Radio Device" combobox text settings one device that not exist
   (e.g. /dev/radio5)
4. Press ENTER to save settings

Actual results:

gnomeradio crashed with SIGABRT in __libc_message()

Expected results:

gnomeradio to display a message that the device is not present

[Regression Potential]

None. Look good, and have been tested in raring
[gnomeradio now send error message instead of crashing] https://bugs.launchpad.net/ubuntu/+source/gnomeradio/+bug/1110660/+attachment/3606266/+files/Gnomeradio.png.
This patch only remove a small part of code to avoid double free or corruption.

[Other Info]

Ideally I'd wish to see this fixed in Gnomeradio upstream as well, and not carry this as a distro patch forever, but unfortunately you can find at
https://bugzilla.gnome.org/show_bug.cgi?id=677059#c5 the information that gnomeradio is unmaintained software (since 2008).

ProblemType: Crash
DistroRelease: Ubuntu 13.04
Package: gnomeradio 1.8-2ubuntu6
ProcVersionSignature: Ubuntu 3.8.0-2.6-generic 3.8.0-rc4
Uname: Linux 3.8.0-2-generic x86_64
ApportVersion: 2.8-0ubuntu3
Architecture: amd64
CasperVersion: 1.330
CrashCounter: 1
Date: Wed Jan 30 18:22:53 2013
ExecutablePath: /usr/bin/gnomeradio
LiveMediaBuild: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130130)
MarkForUpload: True
ProcCmdline: gnomeradio
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 6
SourcePackage: gnomeradio
StacktraceTop:
 raise () from /lib/x86_64-linux-gnu/libc.so.6
 abort () from /lib/x86_64-linux-gnu/libc.so.6
 ?? () from /lib/x86_64-linux-gnu/libc.so.6
 ?? () from /lib/x86_64-linux-gnu/libc.so.6
 ?? ()
Title: gnomeradio crashed with SIGABRT in raise()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Zicu Radu (zradu1100) wrote :
Zicu Radu (zradu1100) on 2013-01-30
information type: Private → Public

StacktraceTop:
 __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x7f794f516840 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:199
 malloc_printerr (ptr=0xdcfa10, str=0x7f794f516a08 "double free or corruption (fasttop)", action=3) at malloc.c:4902
 _int_free (av=<optimized out>, p=0xdcfa00, have_lock=0) at malloc.c:3758
 radio_init (device=0xdcc660 "/dev/radio1", driver=DRIVER_ANY) at radio.c:40
 start_radio (restart=restart@entry=1, app=app@entry=0x0) at gui.c:259

Changed in gnomeradio (Ubuntu):
importance: Undecided → Medium
summary: - gnomeradio crashed with SIGABRT in raise()
+ gnomeradio crashed with SIGABRT in __libc_message()
tags: removed: need-amd64-retrace

Thank you for your report, but unfortunately you can find at

https://bugzilla.gnome.org/show_bug.cgi?id=677059#c5

the information that gnomeradio is unmaintained software(since 2008).

May be there is other software arround that fits also your needs.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnomeradio (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnomeradio - 1.8-2ubuntu7

---------------
gnomeradio (1.8-2ubuntu7) raring; urgency=low

  * debian/patches/gnomeradio-device.patch: Don't stop radio twice to avoid
    double free or corruption. (LP: #1110660)
  * debian/control: Updated to Standards-Version 3.9.4, no changes needed
 -- POJAR GEORGE <email address hidden> Thu, 21 Feb 2013 16:49:57 +0000

Changed in gnomeradio (Ubuntu):
status: Confirmed → Fix Released

Description of problem:

In my sistem I have one PCI TV/FM tuner card and one removable USB TV/FM tuner.

Gnomeradio is set to use, by default /dev/radio0, device create by PCI TV/FM card. I discover this problem when I forgotten to attach USB TV/FM and I try to set gnomeradio to use /dev/radio1 ( device that would have made ​​it by USB TV/FM and, of course if USB isn't connected, it does not exist).

When I tried to change radio device to /dev/radio 1, in preferences "Radio Device" and I press ENTER, gnomeradio crash.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Open Gnomeradio
2.Open Preferences Settings
3.Enter in "Radio Device" settings text box one that not exist ( e.g. /dev/radio5)
4. Press ENTER to SAVE

Actual results:

gnomeradio crashed with SIGABRT in __libc_message()

Expected results:

gnomeradio to display message that device not exist

Additional info:

StacktraceSource: http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=10;filename=StacktraceSource.txt;att=2;bug=704201

description: updated
description: updated
Changed in gnomeradio (Debian):
status: Unknown → New
Zicu Radu (zradu1100) wrote :

Thanks.
Please nominate this for Precise and Quantal

description: updated
description: updated

patch for precise

patch for quantal

summary: - gnomeradio crashed with SIGABRT in __libc_message()
+ [SRU] gnomeradio crashed with SIGABRT in __libc_message()
description: updated
description: updated
description: updated
description: updated
Daniel T Chen (crimsun) wrote :

Uploaded for sru approval; @POJAR you'll want to assign yourself to both (precise & quantal) release tasks.

Changed in gnomeradio (Ubuntu Precise):
status: New → Triaged
Changed in gnomeradio (Ubuntu Quantal):
status: New → Triaged
Changed in gnomeradio (Ubuntu Precise):
importance: Undecided → Medium
Changed in gnomeradio (Ubuntu Quantal):
importance: Undecided → Medium
Changed in gnomeradio (Ubuntu Precise):
assignee: nobody → POJAR GEORGE (geoubuntu)
Changed in gnomeradio (Ubuntu Quantal):
assignee: nobody → POJAR GEORGE (geoubuntu)

Hello Zicu, or anyone else affected,

Accepted gnomeradio into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnomeradio/1.8-2ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnomeradio (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed
Changed in gnomeradio (Ubuntu Quantal):
status: Triaged → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Zicu, or anyone else affected,

Accepted gnomeradio into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnomeradio/1.8-2ubuntu5.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Zicu Radu (zradu1100) wrote :

Thanks.
I tested this and now all is OK.

tags: added: verification-done
removed: verification-needed
Triniton Adam (trinitonadam) wrote :

I can also confirm that this bug is resolved.
Best Regards.

Triniton Adam (trinitonadam) wrote :

Confirm that this bug is resolved. Thanks

Cecyila (cecyliajozef) wrote :

Solved for precise and quantal.
Thanks

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnomeradio - 1.8-2ubuntu1.2

---------------
gnomeradio (1.8-2ubuntu1.2) precise-proposed; urgency=low

  * debian/patches/gnomeradio-device.patch: Don't stop radio twice to avoid
    double free or corruption. (LP: #1110660)
 -- POJAR GEORGE <email address hidden> Fri, 29 Mar 2013 17:10:23 +0000

Changed in gnomeradio (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnomeradio - 1.8-2ubuntu5.1

---------------
gnomeradio (1.8-2ubuntu5.1) quantal-proposed; urgency=low

  * debian/patches/gnomeradio-device.patch: Don't stop radio twice to avoid
    double free or corruption. (LP: #1110660)
 -- POJAR GEORGE <email address hidden> Fri, 29 Mar 2013 17:27:01 +0000

Changed in gnomeradio (Ubuntu Quantal):
status: Fix Committed → Fix Released

This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora 'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 20 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Changed in gnomeradio (Debian):
status: New → Fix Released

Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Changed in gnomeradio (Fedora):
importance: Unknown → Medium
status: Unknown → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.